org.apache.hadoop.yarn.webapp.hamlet2

## Interface HamletSpec._Form

- All Known Subinterfaces:
    HamletSpec._Body, HamletSpec._Cell, HamletSpec._Html, HamletSpec.Block, HamletSpec.BLOCKQUOTE, HamletSpec.BODY, HamletSpec.DD, HamletSpec.DEL, HamletSpec.DIV, HamletSpec.FIELDSET, HamletSpec.Flow, HamletSpec.HTML, HamletSpec.INS, HamletSpec.LI, HamletSpec.MAP, HamletSpec.OBJECT, HamletSpec.TD, HamletSpec.TH
  All Known Implementing Classes:
    Hamlet, Hamlet.BLOCKQUOTE, Hamlet.BODY, Hamlet.DD, Hamlet.DEL, Hamlet.DIV, Hamlet.FIELDSET, Hamlet.HTML, Hamlet.INS, Hamlet.LI, Hamlet.MAP, Hamlet.OBJECT, Hamlet.TD, Hamlet.TH, HtmlBlock.Block, HtmlPage.Page
  Enclosing class:
    HamletSpec

      public static interface HamletSpec._Form

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `HamletSpec.FORM` | `form()` Add a FORM element.
    `HamletSpec.FORM` | `form(String selector)` Add a FORM element.

- - ### Method Detail

    - #### form

          HamletSpec.FORM form()

      Add a FORM element.
      Returns:
        a new FORM element builder

    - #### form

          HamletSpec.FORM form(String selector)

      Add a FORM element.
      Parameters:
        `selector` - the css selector in the form of (#id)*(.class)*
      Returns:
        a new FORM element builder

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.